libgutenprint API Reference: image

libgutenprint API Reference 5.3.6-2026-02-01T02-18-9b0bdf87

Data Structures | Macros | Typedefs | Enumerations | Functions
image

The image type is an abstract data type for interfacing with the image creation program. More...

## Data Structures
struct | stp_image
| The image type is an abstract data type for interfacing with the image creation program. More...

## Macros
#define | STP_CHANNEL_LIMIT (64)

## Typedefs
typedef struct stp_image | stp_image_t
| The image type is an abstract data type for interfacing with the image creation program.

## Enumerations
enum | stp_image_status_t { STP_IMAGE_STATUS_OK , STP_IMAGE_STATUS_ABORT }
| Image status. More...

## Functions
void | stp_image_init (stp_image_t *image)
void | stp_image_reset (stp_image_t *image)
int | stp_image_width (stp_image_t *image)
int | stp_image_height (stp_image_t *image)
stp_image_status_t | stp_image_get_row (stp_image_t *image, unsigned char *data, size_t limit, int row)
const char * | stp_image_get_appname (stp_image_t *image)
void | stp_image_conclude (stp_image_t *image)

## Detailed Description

The image type is an abstract data type for interfacing with the image creation program.

## Macro Definition Documentation

## ◆ STP_CHANNEL_LIMIT

#define STP_CHANNEL_LIMIT (64)

The maximum number of channels.

## Typedef Documentation

## ◆ stp_image_t

typedef struct stp_image stp_image_t

The image type is an abstract data type for interfacing with the image creation program.

It provides callbacks to functions defined within the client application which are called while printing the image.

## Enumeration Type Documentation

## ◆ stp_image_status_t

enum stp_image_status_t

Image status.

Enumerator
STP_IMAGE_STATUS_OK | Everything is OK.
STP_IMAGE_STATUS_ABORT | An error occurred, or the job was aborted.

## Function Documentation

## ◆ stp_image_conclude()

void stp_image_conclude | ( | stp_image_t * | image | ) |
| extern

## ◆ stp_image_get_appname()

const char * stp_image_get_appname | ( | stp_image_t * | image | ) |
| extern

## ◆ stp_image_get_row()

stp_image_status_t stp_image_get_row | ( | stp_image_t * | image,
|  | unsigned char * | data,
|  | size_t | limit,
|  | int | row )
| extern

## ◆ stp_image_height()

int stp_image_height | ( | stp_image_t * | image | ) |
| extern

## ◆ stp_image_init()

void stp_image_init | ( | stp_image_t * | image | ) |
| extern

## ◆ stp_image_reset()

void stp_image_reset | ( | stp_image_t * | image | ) |
| extern

## ◆ stp_image_width()

int stp_image_width | ( | stp_image_t * | image | ) |
| extern